  @echo off
  echo.
  echo Install.Bat v1.00
  echo DoorCost installation batch file
  echo.
  
  if "%1"=="/?" goto Help
  if "%1"=="/h" goto Help
  if "%1"=="/H" goto Help
  if "%1"==""   goto Help
  if "%2"==""   goto Help
  goto Skip_Help

:Help
  echo Syntax:  INSTALL.BAT bbs_dir doorway_dir
  echo.
  echo bbs_dir      -- the main directory for your BBS
  echo doorway_dir  -- the directory of the serial i/o utility DoorWay
  echo.
  echo Example:  
  echo INSTALL C:\WILDCAT C:\WILDCAT\DOOR\DOORWAY
  echo.
  goto Finished

:Skip_Help
  
  echo Press CONTROL-C now if you do NOT want to install.
  echo Otherwise, press ENTER.
  echo.
  pause
  
  echo --------------------------------------------------------------
  echo.
  echo Checking for %2\DoorWay.Exe...
  if not exist %2\DoorWay.Exe goto Doorway_Missing
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create the directories to
  echo %1\Door\DoorCost.
  echo.
  echo You will see some errors if some of the directories already exist.
  echo.
  pause
  echo.
  echo Making directory %1\Door...
  md %1\Door
  echo Making directory %1\Door\DoorCost...
  md %1\Door\DoorCost
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to copy files to %1\Door\DoorCost
  pause
  echo.
  echo Copying DoorCost.Bat...
  copy DoorCost.Bat %1\Door\DoorCost\DoorCost.Bat > nul
  echo Copying DoorCost.Exe...
  copy DoorCost.Exe %1\Door\DoorCost\DoorCost.Exe > nul
  echo Copying DoorCost.Doc...
  copy DoorCost.Doc %1\Door\DoorCost\DoorCost.Doc > nul
  echo Copying Install.Bat (it might come in handy later)...
  copy Install.Bat  %1\Door\DoorCost\Install.Bat  > nul

  echo --------------------------------------------------------------
  echo.
  echo Installation is complete.  Now you will need to
  echo.
  echo 1) create a door batch file based on DoorCost.Bat;
  echo 2) move the door batch file to the appropriate directory;
  echo 3) enable the door using %1\MAKEWILD.EXE;
  echo 4) test the door;
  echo 5) edit %1\Disp\Doors.BBS
  echo    to let your user know that a new door is available.
  echo.
  echo Additional information is available in the text file
  echo %1\Door\DoorCost\DoorCost.Doc.

  goto Finished

:DoorWay_Missing
  echo The shareware serial I/O redirection utility DoorWay.Exe
  echo could not be found in %2.
  echo Please check the path or install this utility.
  echo If you currently do not have it, you can download it from
  echo the MSI HQ BBS (805) 873-2400 as DOORWAY.ZIP or DRWY222.ZIP.
  goto Abort

:Abort
  echo.
  echo Installation of DoorCost has been aborted.

:Finished
  echo.
